Maintain Recovery Appliance backup wallets

post

https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/databases/actions/maintainBackupConfig

Synchronizes backup wallets for protected databases after the virtual private catalog credentials or trusted certificates for the associated Recovery Appliance change. The ZDLRA Management Pack must be enabled for that Recovery Appliance.

Request

Header Parameters
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Maintain Backup Configuration Request schema.
Show Source
  • Destination media type.
    Example: RA
  • Discriminator: type
    Discriminator: { "propertyName":"type", "mapping":{ "immediately":"#/components/schemas/ScheduleImmediately", "later":"#/components/schemas/ScheduleLater", "repeating":"#/components/schemas/ScheduleRepeating" } }
    Specifies schedule of the deployment procedure.
  • targetList
    Database targets on which to perform SBT backup wallet maintenance. When specified, only listed targets that require synchronization are processed. When omitted, all database targets currently flagged for maintenance in the Enterprise Manager repository are processed.
Nested Schema : Discriminator: type
Type: object
Discriminator: type

Discriminator Values

Specifies schedule of the deployment procedure.
Match One Schema
Show Source
Nested Schema : targetList
Type: array
Database targets on which to perform SBT backup wallet maintenance. When specified, only listed targets that require synchronization are processed. When omitted, all database targets currently flagged for maintenance in the Enterprise Manager repository are processed.
Show Source
Nested Schema : ScheduleImmediately
Type: object
Schedule immediately.
Show Source
Nested Schema : ScheduleLater
Type: object
Schedule later.
Show Source
Nested Schema : Discriminator: repeatFrequency
Type: object
Discriminator: repeatFrequency

Discriminator Values

Repeating schedule.
Match All
Repeating schedule.
Show Source
Match One Schema
Show Source
Nested Schema : ScheduleRepeatingBase
Type: object
Repeating schedule.
Show Source
Nested Schema : ScheduleWeekly
Type: object
Repeat value for repeat frequency - weekly.
Show Source
Nested Schema : ScheduleMonthly
Type: object
Repeat value for repeat frequency - monthly.
Show Source
Nested Schema : ScheduleYearly
Type: object
Repeat value for repeat frequency - yearly.
Show Source
Nested Schema : ScheduleInterval
Type: object
Repeat value for repeat frequency - interval.
Show Source
Nested Schema : days
Type: array
Days of the week.
Show Source
  • Allowed Values: [ 1, 2, 3, 4, 5, 6, 7 ]
    Days of the week, Sunday is 1, Monday is 2 etc.
Example:
1,4
Nested Schema : days
Type: array
Repeat value for monthly.
Show Source
  • Day number, int -1, 1..5 representing which day number. -1 represents LAST day.
Example:
1,30,31
Nested Schema : months
Type: array
Repeat value for yearly.
Show Source
  • Month number, int 1, 2, 3.. representing months Januaray, February, March etc.
Example:
1,3
Nested Schema : items
Type: object
Show Source
Examples

Back to Top

Response

Supported Media Types

202 Response

Tracking details for the submitted deployment procedure.
Headers
Body ()
Root Schema : MaintainBackupConfigResponse
Type: object
Response of the operation submitted.
Show Source

400 Response

Bad Request
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

401 Response

Unauthorized
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

403 Response

Forbidden
Body ()
Root Schema : MissingPrivErrorResponse
Type: object
Response sent back as an Error in case required privileges are missing
Show Source
Match All
Response sent back as an Error in case required privileges are missing
Show Source
Nested Schema : missingPrivileges
Type: array
Privileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Show Source
Nested Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : MissingPrivilegeSummary
Type: object
It represents a Privilege which is missing on a Resource to view or manage it.
Show Source

404 Response

Not Found
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

500 Response

Internal Server Error
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

503 Response

Service Unavailable
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Back to Top